#pragma once
#include <vector>

using namespace std;

class DataReader
{
public:
	DataReader();
	double* GetValues();
	int* GetRows();
	int* GetColumns();
	double* GetRHS();
	~DataReader();
private:

	std::vector<double> _values;
	std::vector<int> _rows;
	std::vector<int> _columns;
	std::vector<double> _rhs;

};

